Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Latest Php And Cart Stability Rate Topic   - - - - -

 
  • sok777
  • Senior Member
  • Members
  • Join Date: 23-Jun 11
  • 348 posts

Posted 01 June 2018 - 07:01 PM #1

Hi,

 

Although cs cart is compatible with latest PHP (only according to the docs), still doubt.

 

Has anyone tried PHP 7.2.6 or at least 7.1.18 with CS CART 4.7.4? Is it stable? specially with payment systems like Servired.



 
  • tbirnseth
  • CS Cart Expert
  • Authorized Reseller
  • Join Date: 08-Nov 08
  • 10770 posts

Posted 01 June 2018 - 09:22 PM #2

I've not noticed any issues.  If there are, you will see it in your PHP error_log.  They don't use anything specific to any of the newer versions of PHP for compatibility with the oler versions like 5.6.


EZ Merchant Solutions: Custom (USA based) B2B Development, Consulting, Development and Special Projects (get a quote here).
Commercial addons, payment methods and modifications to meet your business and operations needs.


 
  • sok777
  • Senior Member
  • Members
  • Join Date: 23-Jun 11
  • 348 posts

Posted 01 June 2018 - 09:56 PM #3

the problem was with Servired payment on 4.6.2 when I tried to use 7.1.18 it just did not work. So I had to use 7.0.30 (functioned correct). Since now it is already 4.7.4 may be it is already fixed for new PHP versions. Well I will give it a try.



 
  • tbirnseth
  • CS Cart Expert
  • Authorized Reseller
  • Join Date: 08-Nov 08
  • 10770 posts

Posted 01 June 2018 - 10:05 PM #4

What was the message you saw in your php error_log related to the payment?  Probably a 'deprecated' message.


EZ Merchant Solutions: Custom (USA based) B2B Development, Consulting, Development and Special Projects (get a quote here).
Commercial addons, payment methods and modifications to meet your business and operations needs.


 
  • sok777
  • Senior Member
  • Members
  • Join Date: 23-Jun 11
  • 348 posts

Posted 01 June 2018 - 10:26 PM #5

Yes, it was

"PHP message: PHP Deprecated: Function mcrypt_encrypt() is deprecated in

app/payments/servired_files/apiRedsys.php on line 54" while reading response header from upstream

 
  • tbirnseth
  • CS Cart Expert
  • Authorized Reseller
  • Join Date: 08-Nov 08
  • 10770 posts

Posted 02 June 2018 - 12:13 AM #6

It does not appear that they have altered the apiRedsys.php file to adjust mcrypt_encrypt() function.

Suggest you both contact helpdesk and have them patch your file appropriately AND submit a bug report in bugtracker.  


EZ Merchant Solutions: Custom (USA based) B2B Development, Consulting, Development and Special Projects (get a quote here).
Commercial addons, payment methods and modifications to meet your business and operations needs.


 
  • sok777
  • Senior Member
  • Members
  • Join Date: 23-Jun 11
  • 348 posts

Posted 02 June 2018 - 02:31 AM #7

ok, thank you. I will post it to bugtracker